## org.eclipse.ocl.cst
Interface InvalidLiteralExpCS

All Superinterfaces:
  CSTNode, EObject, LiteralExpCS, Notifier, OCLExpressionCS

All Known Implementing Classes:
  InvalidLiteralExpCSImpl

    public interface InvalidLiteralExpCS

extends LiteralExpCS

A representation of the model object 'Invalid Literal Exp CS'.

The following features are supported:

- `Symbol`

See Also:
  `CSTPackage.getInvalidLiteralExpCS()`

Method Summary
`String` `getSymbol()` Returns the value of the 'Symbol' attribute
`void` `setSymbol(String value)` Sets the value of the '`Symbol`' attribute

Methods inherited from interface org.eclipse.ocl.cst.CSTNode
`getAst, getEndOffset, getEndToken, getStartOffset, getStartToken, setAst, setEndOffset, setEndToken, setStartOffset, setStartToken`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSymbol

    String getSymbol()

  Returns the value of the 'Symbol' attribute.

  If the meaning of the 'Symbol' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Symbol' attribute.
  See Also:
    `setSymbol(String)`, `CSTPackage.getInvalidLiteralExpCS_Symbol()`

### setSymbol

    void setSymbol(String value)

  Sets the value of the '`Symbol`' attribute.

  Parameters:
    `value` - the new value of the 'Symbol' attribute.
  See Also:
    `getSymbol()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.